Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
traceobj_arg Struct Reference

## Data Fields
int | running
int | keep_remains
VALUE | newobj_trace
VALUE | freeobj_trace
st_table * | object_table
st_table * | str_table
struct traceobj_arg * | prev_traceobj_arg

## Detailed Description

Definition at line 21 of file object_tracing.c.

## Field Documentation

VALUE traceobj_arg::freeobj_trace

Definition at line 25 of file object_tracing.c.

Referenced by get_traceobj_arg(), trace_object_allocations_start(), and trace_object_allocations_stop().

int traceobj_arg::keep_remains

Definition at line 23 of file object_tracing.c.

Referenced by freeobj_i(), get_traceobj_arg(), and newobj_i().

VALUE traceobj_arg::newobj_trace

Definition at line 24 of file object_tracing.c.

Referenced by get_traceobj_arg(), trace_object_allocations_start(), and trace_object_allocations_stop().

st_table* traceobj_arg::object_table

Definition at line 26 of file object_tracing.c.

Referenced by freeobj_i(), get_traceobj_arg(), lookup_allocation_info(), newobj_i(), object_allocations_reporter(), and trace_object_allocations_clear().

struct traceobj_arg* traceobj_arg::prev_traceobj_arg

Definition at line 28 of file object_tracing.c.

int traceobj_arg::running

Definition at line 22 of file object_tracing.c.

Referenced by get_traceobj_arg(), trace_object_allocations_start(), and trace_object_allocations_stop().

st_table* traceobj_arg::str_table

Definition at line 27 of file object_tracing.c.

Referenced by freeobj_i(), get_traceobj_arg(), newobj_i(), and trace_object_allocations_clear().

The documentation for this struct was generated from the following file:

- ext/objspace/object_tracing.c